//+------------------------------------------------------------------+
//|                                                    Ost_AC&AO.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|                                                      Ost_123.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Nikolaj Ostapjuk"
#property link      "nikost3@inbox.lv"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Teal
#property indicator_color2 Red
//#property indicator_color3 Red
//#property indicator_level1  0
//---- input parameters
extern int Rezult = 5;
extern int fast = 55;
extern int midi = 88;
extern int slow = 150;
extern int signalmacd = 9;
extern int stochK = 5;
extern int    CountBars    = 3360;
//---- buffers 
double Buffer1[];
double Buffer2[];
//double Buffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  { 
   string short_name;
//---- 1 additional buffer used for counting.
   IndicatorDigits(Digits);
//---- indicator line
//   SetIndexStyle(0,DRAW_HISTOGRAM,0,2);
//   SetIndexBuffer(0,Buffer1);
//   SetIndexDrawBegin(0,Bars-CountBars+30);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,115);
   SetIndexBuffer(0,Buffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,115);
   SetIndexBuffer(1,Buffer2);
   SetIndexEmptyValue(1,0.0);
  
   SetIndexEmptyValue(2,0.0);
  
//---- name for DataWindow and indicator subwindow label
   short_name="Point_Tick";
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);
//----
   SetIndexDrawBegin(0,Bars-CountBars+30);
   SetIndexDrawBegin(1,Bars-CountBars+30);
   return(0);
  }
//+------------------------------------------------------------------+
//| Bears Power                                                      |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//----    
   if(counted_bars<0) return(-1);
//----     
   if(counted_bars>0) counted_bars-=10;
   limit=Bars-counted_bars;
//----  
   int    Error,i;
   int rac,rao,condition_summa;
  for(i=0; i<limit; i++)
  { 
   double   ac = iAC(Symbol(),0,i);
   double   ac1 = iAC(Symbol(),0,i+1);
   if (ac > ac1) rac = 1;
   if (ac < ac1) rac = -1;
   
   double   ao = iAO(Symbol(),0,i);
   double   ao1 = iAO(Symbol(),0,i+1);
   if (ao > ao1) rao = 1;
   if (ao < ao1) rao = -1;
   
   

   condition_summa = rac+rao;
   
      if(condition_summa == 2) 
      Buffer1[i] = Low[i]-10*Point;
      if(condition_summa == -2)
      Buffer2[i] = High[i]+10*Point;
              
  }

 Error=GetLastError();
   if(Error!=0 && Error!=1) {Print("Error START : ",Error);RefreshRates();}
//----
   return(0);
}
//+------------------------------------------------------------------+